#!/usr/bin/env bash
set -e

CXX=g++
CXXFLAGS="-O2 -Wall -std=c++17"
LIBS="-ldl -lpthread -static"

mkdir -p out 

$CXX $CXXFLAGS velvet_ring.cpp main.cpp libcrypto.a libssl.a -o out/liagt-static $LIBS

echo "Build successful"
